require 'test_helper'

class BuilderTest < Minitest::Test
  def setup
    @builder = Honey::Builder.new("username", "password")
  end

  def test_builds_nested_hash_xml
    assert_match_xpath "hello/there", @builder.build(hello: { there: "buddy" })
  end

  def test_builds_array_xml
    assert_match_xpath "skus/sku", @builder.build(skus: [{sku: 12345}, {sku: 67890}])
  end

  def test_breaks_down_xml
    assert_equal @builder.destruct("<hello><there>buddy</there></hello>"), { hello: { there: "buddy" } }
  end

  def test_builds_honey_order
    order = Honey::Order.new(reference: "TEST")
    assert_match_xpath "order/reference", @builder.build(order: order)
  end
end
