$:.unshift(File.join(File.dirname(__FILE__), '..','lib'))

require 'honey'
require 'minitest'
require 'minitest/autorun'
require 'byebug'

def valid_order
  Honey::Order.new({
    items: [
      { item: { sku: 1234, qty: 1 } },
      { item: { sku: 5678, qty: 1 } }
    ],
    last: "Shreve",
    first: "Jacob",
    address1: "1234 East St.",
    city: "Fowlerville",
    state: "MI",
    zip: 48836,
    country: "US",
    phone: "(123) 456-7890",
    emailaddress: "jacob@example.com",
    instructions: "Leave the package behind the wooden bear"
  })
end

def assert_match_xpath(expected, actual, message = nil)
  expected = "/HPEnvelope/#{expected}"
  doc = Nokogiri::XML(actual)
  nodes = doc.xpath(expected)
  assert !nodes.empty?, message || "Expected to find xpath #{expected} in response:\n#{actual}"
end
